[ Identification | Description | Input parameters | Output parameters | Links ]

# The `FermiChopper` Component

Fermi Chopper with rotating frame.

## Identification

- Author: M. Poehlmann, C. Carbogno, H. Schober
- Origin: ILL Grenoble / TU Muenchen
- Date: May 2002
- Version: 2.0

## Description

    Models a fermi chopper with optional supermirror coated blades
    supermirror facilities may be disabled by setting m = 0, R0=0

    Example:
    FermiChopper(dist=58, rad=0.04, nu=100,
      ymin=-0.04, ymax=0.04, w=0.00022475, Nslit=200.0, R0=0.0,
      Qc=0.02176, alpham=2.33, m=0.0, Wi=2e-3, Vi=Vi,  slit=0.012)

    Markus Poehlmann     <Markus.Poehlmann@ph.tum.de>
    Christian Carbogno   <carbogno@ph.tum.de>
    and Helmut Schober   <schober@ill.fr>

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
dist | m | Distance(chopper-source) |
rad | m | chopper cylinder radius |
nu | Hz | chopper frequency |
ymin |  |  |
ymax |  |  |
w |  |  |
Nslit |  |  |
alpham | AA | Slope of reflectivity |
Qc | AA-1 | Critical scattering vector |
m | 1 | m-value of material. Zero means completely absorbing. |
Wi | AA-1 | Width of supermirror cut-off |
R0 | 1 | Low-angle reflectivity |
Vi | m/s | velocity of prototype neutron |
slit | m | Length of the short blades |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
cylinder |  |  |
cylinder2 |  |  |
Treffer |  |  |
interactiol |  |  |
interactior |  |  |
reflect |  |  |
seccountl |  |  |
seccountr |  |  |
intpolcountl |  |  |
intpolcountr |  |  |
errcountl |  |  |
errcountr |  |  |
infinite |  |  |
breakedl |  |  |
breakedr |  |  |
nout |  |  |
topbot |  |  |
nn |  |  |
ntrans |  |  |

## Links

- Source code for `FermiChopper.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]